=== debian/changelog ===
yaws (1.96-3) unstable; urgency=low

  * Fixed FTBFS if built with Erlang R16B01 (closes: #718084).

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 28 Jul 2013 22:33:38 +0400

yaws (1.96-2) unstable; urgency=low

  * Switched to 3.0 (quilt) source package version.
  * Bumped debhelper compatibility version to 8.
  * Bumped standards version to 3.9.4.
  * Separated arch-independent build dependencies from arch-dependent ones.
  * Install yaws_soap_lib.5 manpage.
  * Added a few forgotten objects to clean target.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 10 May 2013 22:34:36 +0400

yaws (1.96-1) experimental; urgency=low

  * New upstream release.
  * Removed patch which fixed building mime_types.beam because it's no longer
    necessary.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 20 Mar 2013 13:02:55 +0400

yaws (1.95-1) experimental; urgency=low

  * New upstream feature release.
  * Fixed build of mime_types.beam in case when unversioned yaws link is
    removed from the sources tarball.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 18 Oct 2012 23:58:09 +0400

yaws (1.94-1) unstable; urgency=low

  * New upstream bugfix release.
  * Removed patches introduced in 1.93-1 and 1.93-2.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 26 Jun 2012 10:08:55 +0400

yaws (1.93-2) unstable; urgency=low

  * Added a patch which fixes delivering directory listings.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 26 Jun 2012 09:17:49 +0400

yaws (1.93-1) unstable; urgency=low

  * New upstream release.
  * Refreshed patches and removed those which are no longer necessary.
  * Added a patch which strengthens the random number generation for the
    chat and mail applications. It also ensures all the characters in
    the yaws_session_server cookies are printable.
  * Don't compress the yaws.eps logo in the examples.
  * Removed use_fdsrv option from the yaws.conf because its support is
    removed by upstream.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 24 Jun 2012 15:45:00 +0400

yaws (1.92-4) unstable; urgency=low

  * Removed unnecessary suggested dependency on erlang-dev.
  * Cleaned up debian/rules a bit.
  * Bumped debhelper competibility version to 7 because of dh_lintian.
  * Bumped standards version to 3.9.3.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 08 Jun 2012 09:20:57 +0400

yaws (1.92-3) unstable; urgency=low

  * Switched to long options in init.d script because the short ones aren't
    documented anymore.
  * Added a short notice on how to bind to a privileged port in yaws.default
    file comments and README.Debian.
  * Change Yaws config files permissions only if the local admin didn't
    override them using dpkg-statoverride.
  * Switched to the snakeoil SSL certificate from generating a new one in
    postinstallation script.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 14 May 2012 16:57:06 +0400

yaws (1.92-2) unstable; urgency=low

  * Added patch which fixes version and modules list in the yapp application
    script yapp.app.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 22 Feb 2012 10:40:29 +0400

yaws (1.92-1) unstable; urgency=low

  * New upstream release.
  * Removed patches which fix directory traversal bug and loading external
    drivers for Erlang R15B because they are included into this upstream
    release.
  * Added a few more fixes for compatibility with Erlang R15B.
  * Removed patch which uses external mime.types.
  * Added a patch which fixes CVE-2011-5025 in the yaws-wiki package
    (closes: #653966).
  * Copied acceptor_pool_size option to yaws.conf from the upstream config.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 18 Jan 2012 09:46:18 +0400

yaws (1.91-3) experimental; urgency=low

  * Added patch which fixes loading external drivers in Erlang R15B.
  * Added patch which moves from regexp to re module because the former
    is removed from Erlang R15B.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 17 Dec 2011 12:30:44 +0400

yaws (1.91-2) unstable; urgency=high

  * Added patch by Uwe Dauernheim which fixes directory traversal bug
    (closes: #650009).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 26 Nov 2011 19:34:12 +0400

yaws (1.91-1) unstable; urgency=low

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 09 Aug 2011 23:26:01 +0400

yaws (1.90-2) unstable; urgency=low

  * Removed -m32 and -m64 gcc command line option which led to FTBFS on
    ia64 and s390 architectures.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 13 Jun 2011 16:34:40 +0400

yaws (1.90-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version to 3.9.2.
  * Fixed a few spelling errors in package descriptions.
  * Fixed a bug in yaws.conf(5) manpage.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 13 Jun 2011 15:34:55 +0400

yaws (1.89-1) experimental; urgency=low

  * New upstream release.
  * Synchrinized config file with the upstream version.
  * Bumped standards version to 3.9.1.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 19 Nov 2010 09:19:07 +0300

yaws (1.88-2) unstable; urgency=low

  * Split out Yaws application to a separate package erlang-yaws, which
    simplifies using Yaws in embedded mode. The yaws binary package now
    includes additional binaries and configs necessary to run a standalone
    Yaws daemon.
  * Bumped standards version to 3.9.0.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 23 Jul 2010 17:38:18 +0400

yaws (1.88-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version to 3.8.4.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 24 Mar 2010 15:43:06 +0300

yaws (1.87-1) unstable; urgency=low

  * New upstream release.
  * Moved Yaws binaries to /usr/lib/yaws directory to follow upstream closer
    and to make sure that private Yaws modules don't clash with any other
    application. The drawback is that now one has to add -pa /usr/lib/yaws/ebin
    to the command line if he wants to use Yaws in embedded mode.

