=== debian/control ===
Source: yaws
Section: httpd
Priority: optional
Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Uploaders: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper (>= 8.9.7), autotools-dev, libpam0g-dev,
 erlang-dev (>= 1:13.b.1-3), erlang-edoc, erlang-mnesia
Build-Depends-Indep: texlive-latex-base, texlive-latex-recommended,
 texlive-fonts-recommended, texlive-font-utils, texlive-extra-utils, ghostscript
Standards-Version: 3.9.4
Homepage: http://yaws.hyber.org/
Vcs-Svn: svn://svn.debian.org//svn/pkg-erlang/yaws/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-erlang/yaws/trunk/

Package: yaws
Architecture: all
Provides: httpd, httpd-cgi
Depends: erlang-yaws (>= ${binary:Version}), adduser, ssl-cert, ${misc:Depends}
Suggests: yaws-doc, yaws-chat, yaws-mail, yaws-wiki, yaws-yapp
Description: High performance HTTP 1.1 webserver written in Erlang
 Yaws is a high performance HTTP 1.1 webserver written in Erlang. It is a 
 multithreaded webserver where one Erlang light weight process is used to
 handle each client. Two separate modes of operation are supported.
 .
 This package includes binaries and config to run Yaws in standalone mode
 where it works as a regular webserver daemon.

Package: erlang-yaws
Architecture: any
Depends: ${erlang-abi:Depends}, ${erlang:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: yaws, yaws-doc, zip, bzip2
Replaces: yaws (<< 1.88-2)
Description: Erlang application which implements HTTP webserver
 Yaws is a high performance HTTP 1.1 webserver written in Erlang. It is a 
 multithreaded webserver where one Erlang light weight process is used to
 handle each client. Two separate modes of operation are supported.
 .
 This package includes Erlang Yaws application suitable to work in embedded
 mode where it runs as a webserver in another Erlang application.

Package: yaws-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: erlang-yaws, yaws
Replaces: yaws (<< 1.87)
Description: Documentation and examples for Yaws web server
 Yaws is a high performance HTTP 1.1 webserver written in Erlang. It is a 
 multithreaded webserver where one Erlang light weight process is used to
 handle each client.
 .
 This package includes Yaws documentation and examples.

Package: yaws-chat
Section: web
Architecture: all
Depends: ${erlang:Depends}, yaws (>= ${binary:Version}), ${misc:Depends}
Description: Chat application for Yaws web server
 Yaws-chat allows one to create a very simple web-based chatroom.

Package: yaws-mail
Section: web
Architecture: all
Depends: ${erlang:Depends}, yaws (>= ${binary:Version}), ${misc:Depends}
Description: Webmail application for Yaws web server
 Yaws-mail is a small stateless webmail application. It requires
 SMTP and POP3 servers to operate and does not store email locally.

Package: yaws-wiki
Section: web
Architecture: all
Depends: ${erlang:Depends}, yaws (>= ${binary:Version}), ${misc:Depends}
Description: Wiki application for Yaws web server
 Yaws-wiki is a small wiki application, written in Erlang for Yaws
 web server.

Package: yaws-yapp
Section: web
Architecture: all
Depends: ${erlang:Depends}, yaws (>= ${binary:Version}), ${misc:Depends}
Description: Provides an easy way to deploy applications for Yaws web server
 Yaws-yapp (Yaws application handler) is a helper application.
 It takes care of adding, and removing, the applications into a running
 server. When anyone access the server with an URL that matches the path
 for an added application, the docroot will be temporarily switched
 to where the web pages for that application are located.
