=== debian/changelog ===
yaws (1.98-2) unstable; urgency=low

  * Use userdel --force in postrm script to remove the yaws user on purging
    the yaws package.
  * Create yaws homedir if it doesn't exist in postinst script.
  * Delete /etc/yaws directory in postrm script only if it does exist.
  * Use init functions from lsb-base to report init.d script progress and
    status.
  * More carefully process errors when starting and stopping the Yaws daemon
    (closes: #728796).

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 20 Dec 2013 15:49:50 +0400

yaws (1.98-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 12 Nov 2013 09:20:34 +0400

yaws (1.97-2) unstable; urgency=low

  * Added --with autotools_dev dh option to fix build on arm64 architecture
    (closes: #727526).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 04 Nov 2013 08:37:55 +0400

yaws (1.97-1) unstable; urgency=low

  * New upstream release.
  * Removed patch which fixed building with Erlang R16B01.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 19 Oct 2013 17:37:30 +0400

yaws (1.96-4) unstable; urgency=low

  * Fixed cleaning in debian/rules (closes: #724165).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 23 Sep 2013 10:49:44 +0400
