=== debian/rules ===
--- 
+++ 
@@ -30,9 +30,9 @@
 endif
 
 %:
-	dh $@
+	dh $@ --with autotools_dev
 
-override_dh_clean:
+override_dh_auto_clean:
 	dh_testdir
 	dh_testroot
 	#
@@ -52,8 +52,6 @@
 	#
 	rm -f erl_crash.dump
 	rm -f debian/yaws-*.postinst debian/yaws-*.postrm
-	#
-	dh_clean
 
 override_dh_auto_configure:
 	dh_testdir
@@ -160,7 +158,7 @@
 	erlang-depends
 	dh_gencontrol
 
-v=1.96
+v=1.98
 
 get-orig-source:
 	wget -O - http://yaws.hyber.org/download/yaws-$(v).tar.gz | tar zx
@@ -168,6 +166,7 @@
 	rm -r yaws-$(v)
 	rm yaws
 
-.PHONY: override_dh_clean override_dh_auto_configure override_dh_auto_build-arch override_dh_auto_build-indep \
-	override_dh_auto_test override_dh_auto_install-arch override_dh_auto_install-indep \
-	override_dh_compress override_dh_gencontrol get-orig-source
+.PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_auto_build-arch \
+	override_dh_auto_build-indep override_dh_auto_test override_dh_auto_install-arch \
+	override_dh_auto_install-indep override_dh_compress override_dh_gencontrol \
+	get-orig-source
